<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<meta name="distribution" content="global" />
<meta name="robots" content="follow, all" />
<meta name="language" content="en, sv" />
<title><?php wp_title(''); ?><?php if(wp_title('', false)) { echo ' - '; } ?><?php bloginfo('name'); ?></title>
<link href="<?php bloginfo('template_directory'); ?>/style.css" rel="stylesheet" type="text/css" />
<link rel="shortcut icon" href="<?php bloginfo('template_url'); ?>/favicon.ico" type="image/x-icon" />
<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
<?php wp_head(); ?>
<?php if (get_option('flex_analytics_id')) { ?>
<script type="text/javascript">
  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', '<?php echo get_option('flex_analytics_id'); ?>']);
  _gaq.push(['_trackPageview']);
  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();
</script>
<?php } ?>
</head>
<body>
<div id="bgwrapper">
<div id="wrap">
<?php if (get_option('flex_nav_show') == "yes" || !get_option('flex_nav_show')) { ?>
<?php if (get_option('flex_nav_position') == "above" || !get_option('flex_nav_position')) { ?>
<div id="nav" style="clear:both;">
	<?php if ( function_exists('wp_nav_menu') ) {
	echo preg_replace('@\<li([^>]*)>\<a([^>]*)>(.*?)\<\/a>@i', '<li$1><a$2><span>$3</span></a>', wp_nav_menu( array('theme_location' => 'primary-menu', 'echo' => '0', 'menu_class' => 'sf-menu', 'fallback_cb' => 'flex_menu')));
	} else { ?>
	<ul class="sf-menu">
    <?php if (get_option('flex_nav_home') == "yes") { ?>
    <li<?php if (is_front_page()) { echo ' class="current_page_item"'; } ?>><a href="<?php echo get_settings('home'); ?>"><span>Home</span></a></li>
    <?php } ?>
    <?php echo preg_replace('@\<li([^>]*)>\<a([^>]*)>(.*?)\<\/a>@i', '<li$1><a$2><span>$3</span></a>', wp_list_pages('echo=0&orderby=name&exclude=&title_li=')); ?>
  </ul>
	<?php } ?>
  <div class="clearer"></div>
</div>
<?php } ?>
<?php } ?>
<div id="header">
  <?php if (get_option('flex_search_visibility') == "yes" || !get_option('flex_search_visibility')) { ?>
  <?php include (TEMPLATEPATH . '/headersearchform.php'); ?>
  <?php } ?>
  <?php if (get_option('flex_blog_logo') == "" || get_option('flex_title_seo') == "yes") { ?>
  <?php if (is_front_page()) { echo '<h1>'; } else { echo '<h3>'; }?><a href="<?php echo get_option('home'); ?>/"><?php bloginfo('name'); ?></a><?php if (is_front_page()) { echo '</h1>'; } else { echo '</h3>'; }?>
  <p class="tagline"><?php bloginfo('description'); ?></p>
  <?php } ?>
  <?php if (get_option('flex_blog_logo')) { ?> 
  <a href="<?php echo get_option('home'); ?>/"><img id="logo" src='<?php echo get_option('flex_blog_logo'); ?>' style="float:left;" /></a>
  <?php } ?>
  <?php if (get_option('flex_subrss_visibility') == "yes") { ?>
  <div id="rssfeeds"> <a href="<?php if (get_option('flex_email_address')) { echo get_option('flex_email_address'); } else { bloginfo_rss('rss2_url');} ?>"><img id="rssicon" src="<?php bloginfo('template_url'); ?>/images/rssicons/<?php echo get_option('flex_rss_icon'); ?>.png" alt="Subscribe to RSS" /></a>
    <p>Subscribe via
      <?php if (get_option('flex_email_address')) { ?>
      <a href="<?php echo get_option('flex_email_address'); ?>">Email</a></p>
    <?php } else { ?>
    <a href="<?php bloginfo_rss('rss2_url'); ?>">RSS</a>
    </p>
    <?php } ?>
  </div>
  <?php } ?>
</div>
<?php if (get_option('flex_nav_show') == "yes" && (get_option('flex_nav_position') == "below")) { ?>
<div id="nav" style="clear:both;">
	<?php if ( function_exists('wp_nav_menu') ) {
	echo preg_replace('@\<li([^>]*)>\<a([^>]*)>(.*?)\<\/a>@i', '<li$1><a$2><span>$3</span></a>', wp_nav_menu( array('theme_location' => 'primary-menu', 'echo' => '0', 'menu_class' => 'sf-menu', 'fallback_cb' => 'flex_menu')));
	} else { ?>
	<ul class="sf-menu">
    <?php if (get_option('flex_nav_home') == "yes") { ?>
    <li<?php if (is_front_page()) { echo ' class="current_page_item"'; } ?>><a href="<?php echo get_settings('home'); ?>"><span>Home</span></a></li>
    <?php } ?>
    <?php echo preg_replace('@\<li([^>]*)>\<a([^>]*)>(.*?)\<\/a>@i', '<li$1><a$2><span>$3</span></a>', wp_list_pages('echo=0&orderby=name&exclude=&title_li=')); ?>
  </ul>
	<?php } ?>
  <div class="clearer"></div>
</div>
<?php } ?>